Subject: Re: Implicit Images in FITS?

From: Peter Teuben <teuben at astro.umd.edu>
Date: Mon, 26 May 1997 22:45:27 -0400

Wayne Landsman wrote:
> 
> Is anyone aware of any proposals to allow "implicit images" in FITS?
> For example, to store an image of constant intensity, one could specify
> the size of the image and the constant value in the header.   This
> information is sufficient to reconstruct the image, so that the explicit
> data portion of the FITS file need not be specified.
> 
> --Wayne Landsman                           landsman at mpb.gsfc.nasa.gov

No, but I have a hard time cooking up such a proposal. Once the
BITPIX, NAXIS, NAXIS1, NAXIS2 etc. have been set to define the
image, it expects data....So an alternate IAXIS, IAXIS1, .... would
have to be defined.
The next thing this proposal would want to do it to allow the
image be an analytical expression. Another example of something
that can easily run over an 80-character card length.

- peter